ServerSocket Class Reference

## Public Member Functions

| ServerSocket (int port)
| Creates a server socket on a specified port. More...
virtual | ~ServerSocket ()
SocketPtr | accept ()
| Listens for a connection to be made to this socket and accepts it. More...
void | close ()
| Closes this socket. More...
int | getSoTimeout () const
| Retrive setting for SO_TIMEOUT. More...
void | setSoTimeout (int timeout)
| Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds. More...

## Constructor & Destructor Documentation

## ServerSocket()

ServerSocket | ( | int | port | ) |

Creates a server socket on a specified port.

## ~ServerSocket()

virtual ~ServerSocket | ( |  | ) |

virtual

## Member Function Documentation

## accept()

SocketPtr accept | ( |  | ) |

Listens for a connection to be made to this socket and accepts it.

## close()

void close | ( |  | ) |

Closes this socket.

## getSoTimeout()

int getSoTimeout | ( |  | ) | const

Retrive setting for SO_TIMEOUT.

## setSoTimeout()

void setSoTimeout | ( | int | timeout | ) |

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

The documentation for this class was generated from the following file:

- serversocket.h